%define module_name DBIx-Class-ElasticSync
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBIx/Class.pm) perl(DBIx/Class/ResultClass/HashRefInflator.pm) perl(DateTime/Format/MySQL.pm) perl(Module/Build/Tiny.pm) perl(Moose/Role.pm) perl(Search/Elasticsearch.pm) perl(Search/Elasticsearch/Compat/QueryParser.pm) perl(Test/More.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: Helps keep your data in Sync with Elastic
Group: Development/Perl
License: see LICENSE
URL: https://github.com/itnode/DBIx-Class-Elasticsearch

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JE/JEGADE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
DBIx::Class::Elasticsearch is a Module to link your DBIx::Class Schema to Elastic faster.

It helps you, to denormalize your relational database schema to fit into the document orientated elastic store


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.md
%perl_vendor_privlib/D*

%changelog
* Fri Mar 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- regenerated from template by package builder

* Sat Dec 05 2015 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

